Subject: bug#26401: [PATCH] python-tryton (with no modules)

From: Arun Isaac <[email-masked]>
Date: Wed, 17 May 2017 11:24:05 +0530

>> In any case, tryton needs only python2-genshi.
>
> Out of curiosity: how can you say this ?
> The Fedora package uses both Genshi and Relatorio with Python 3

I was looking at the Arch Linux packages in the AUR as a reference. Arch
has tryton packaged with python 2. But, I just checked the "Programming
Language" metadata in the setup.py of the tryton and trytond source
tarballs. It seems that tryton supports python 2.7, while trytond
supports python 2.7 and 3.5.

So, yes, you're right. At least for trytond, we could use python
3.5. But, considering the complexity of packaging (patching and all)
genshi for python 3.5, I think we should just wait for the python3.5
genshi to be properly ready and use python2 in the meantime. WDYT?